LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XCloseable Interface Referencepublished

provides for the releasing of resources acquired by the implementing object. More...

`import"XCloseable.idl";`

Inheritance diagram for XCloseable:

## Public Member Functions
void | close () raises (SQLException)
| releases all resources connected to an object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides for the releasing of resources acquired by the implementing object.

## Member Function Documentation

## ◆ close()

void close | ( |  | ) |
raises | ( | SQLException
| ) |  |

releases all resources connected to an object.

Exceptions

  SQLException | if a database access error occurs.

The documentation for this interface was generated from the following file:

- com/sun/star/sdbc/XCloseable.idl